Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class GeneratedAdvisorConstructorExecutionTransformer

    java.lang.Object
      org.jboss.aop.instrument.ConstructorExecutionTransformer
          org.jboss.aop.instrument.GeneratedAdvisorConstructorExecutionTransformer

All Implemented Interfaces:
  org.jboss.aop.instrument.CodeConversionObserver

public class GeneratedAdvisorConstructorExecutionTransformer
extends ConstructorExecutionTransformer

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`ConstructorExecutionTransformer.ConstructorTransformation`

Field Summary

Fields inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`codifier, CONSTRUCTOR_INFO_CLASS_NAME, CONSTRUCTOR_STATUS, instrumentor`

Constructor Summary
`GeneratedAdvisorConstructorExecutionTransformer(Instrumentor instrumentor)`

Method Summary
`protected boolean` | `addInfoAsWeakReference()`
`protected void` | `createWrapper(ConstructorExecutionTransformer.ConstructorTransformation trans)`
`protected void` | `generateConstructorInfoField(javassist.CtClass clazz, javassist.CtConstructor constructor, int index)`
`protected void` | `initialiseWrapper(int mod, javassist.CtConstructor constructor, int index)`
`protected void` | `setEmptyWrapperCode(javassist.CtConstructor constructor)` Sets the wrapper method code as an empty wrapper, i.e., a wrapper that simply invokes the constructor.
`protected void` | `setEmptyWrapperCodeLater(javassist.CtConstructor constructor)` Sets the wrapper method code as an empty wrapper, i.e., a wrapper that simply invokes the constructor.

Methods inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`addConstructorInfoField, addConstructorInfoField, buildConstructorWrappers, classifyConstructor, codeConverted, constructorFactory, constructorInfoFromWeakReference, getConstructorInfoFieldName, getInstrumentor, getWrapper, getWrapperMethod, isAdvisableConstructor, isAnyConstructorAdvised, replaceConstructorAccess, setTemporaryWrapperCode, transform, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratedAdvisorConstructorExecutionTransformer

    public GeneratedAdvisorConstructorExecutionTransformer(Instrumentor instrumentor)

Method Detail

### addInfoAsWeakReference

    protected boolean addInfoAsWeakReference()

  Overrides:
    `addInfoAsWeakReference` in class `ConstructorExecutionTransformer`

### generateConstructorInfoField

    protected void generateConstructorInfoField(javassist.CtClass clazz,
                                                javassist.CtConstructor constructor,
                                                int index)
                                         throws javassist.CannotCompileException,
                                                javassist.NotFoundException

  Overrides:
    `generateConstructorInfoField` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### initialiseWrapper

    protected void initialiseWrapper(int mod,
                                     javassist.CtConstructor constructor,
                                     int index)
                              throws javassist.NotFoundException,
                                     javassist.CannotCompileException

  Overrides:
    `initialiseWrapper` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### setEmptyWrapperCode

    protected void setEmptyWrapperCode(javassist.CtConstructor constructor)
                                throws javassist.NotFoundException

  Description copied from class: `ConstructorExecutionTransformer`
  Sets the wrapper method code as an empty wrapper, i.e., a wrapper that simply invokes the constructor.

  Overrides:
    `setEmptyWrapperCode` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.NotFoundException`

### setEmptyWrapperCodeLater

    protected void setEmptyWrapperCodeLater(javassist.CtConstructor constructor)
                                     throws javassist.NotFoundException

  Description copied from class: `ConstructorExecutionTransformer`
  Sets the wrapper method code as an empty wrapper, i.e., a wrapper that simply invokes the constructor.

  Overrides:
    `setEmptyWrapperCodeLater` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.NotFoundException`

### createWrapper

    protected void createWrapper(ConstructorExecutionTransformer.ConstructorTransformation trans)
                          throws javassist.CannotCompileException,
                                 javassist.NotFoundException

  Specified by:
    `createWrapper` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.